% Plottool, comparison
filename = 'L1comparisonConnectionRef';

Time = load('Time','Time');
%Ref = load('Ref','Controller');
Data1 = load('L1LowU','Controller');
Data2 = load('L1MedU','Controller');
Data3 = load('L1MedHighU','Controller');
Data4 = load('L1HighU','Controller');
Data1c = load('L1Low','Choke');
Data2c = load('L1Med','Choke');
Data3c = load('L1MedHigh','Choke');
Data4c = load('L1High','Choke');

data1n = '$Low$'; 
data1 = Data1.Controller(:,15)*10^-5;
data1c = Data1c.Choke(:,1);

data2n =  '$Medium$ '; 
data2 = Data2.Controller(:,15)*10^-5;
data2c = Data2c.Choke(:,1);

data3n = '$High$  '; 
data3 = Data3.Controller(:,15)*10^-5;
data3c = Data3c.Choke(:,1);

data4n = '$High$'; 
data4 = Data4.Controller(:,15)*10^-5;
data4c = Data4c.Choke(:,1);

% refn = '$P_{c,ref}$'; 
% ref = Ref.Controller(:,3)*10^-5;

xname = 'time $[mins]$';
yname = 'pressure $[bar]$';
tname = '\vspace{-3mm}Comparison of state error';

t = 1:1:size(data1,1);
t = t./60/(1/Time.Time.inc);

figure(1), clf
hold on
plot(t,data1,'r');
%plot(t,data2,'y');
plot(t,data3,'g');
plot(t,data1c,'y--');
%plot(t,data2c,'b');
plot(t,data3c,'b--');
%plot(t,data4,'c--');
% plot(t,ref,'b--');
hold off
title(tname);
legend(data1n,data3n,'$Low: p_c$','$High: p_c$ ')
ylabel(yname)
xlabel(xname)
laprint(1,filename,'figcopy', 'off','width',14)
% plot2eps(1,'filename',filename)

