% Plottool, comparison
filename = 'L1comparisonConnectionS';

Time = load('Time','Time');
%Ref = load('Ref','Controller');
Data1 = load('L1LowU','Controller');
Data2 = load('L1MedU','Controller');
Data3 = load('L1MedHighU','Controller');
Data4 = load('L1HighU','Controller');

data1n = '$Low$'; 
data1 = Data1.Controller(:,10);

data2n =  '$Medium$ '; 
data2 = Data2.Controller(:,10);

data3n = '$High$  '; 
data3 = Data3.Controller(:,10);

data4n = '$High$'; 
data4 = Data4.Controller(:,10);

% refn = '$P_{c,ref}$'; 
% ref = Ref.Controller(:,3)*10^-5;

xname = 'time $[mins]$';
yname = '$\hat{\sigma}$';
tname = '\vspace{-3mm}Comparison of estimated $\hat{\sigma}$';

t = 1:1:size(data1,1);
t = t./60/(1/Time.Time.inc);

figure(1), clf
hold on
plot(t,data1,'r');
plot(t,data2,'y');
plot(t,data3,'g--');
%plot(t,data4,'c--');
% plot(t,ref,'b--');
hold off
title(tname);
legend(data1n,data2n,data3n)
ylabel(yname)
xlabel(xname)
laprint(1,filename,'figcopy', 'off','width',14)
% plot2eps(1,'filename',filename)

